#!/bin/bash
#Скрипт устанавливает IceWM + tint2 и легкие приблуды для них
#Aleksandr Bashkirov http://www.alib.spb.ru 

###Блок проверки дистрибутива
DISTR=`cat /etc/issue | grep Mint | wc -l`

if [ $DISTR == 1 ]
then
  echo "Обнаружен Linux Mint. Продолжаем."
  echo ""
else
  echo "У вас не Linux Mint. Есть риск повредить что-то. Выполнение прервано."
  exit 1
fi

###Функция установки пакетов
function pinstall
{
   CHINSTALL=`(dpkg --get-selections | grep $1 > /dev/null && echo $?) | wc | awk '{print $1}'`
   if [ $CHINSTALL == 0 ] 
   then
       echo "Устанавливаем $1"
       if [ $1 != $2 ]
       then
           sudo add-apt-repository $2
           sudo apt-get update
       fi
       sudo apt-get -y install $1
   else 
       echo "Уже установлено $1"       
   fi
}

###Блок установки пакетов
#Необходимые пакеты
pkg=('icewm icewm-common icewm-themes' 'guake' 'orage' 'volumeicon-alsa' 'xxkb' 'pcmanfm' 'conky' 'xscreensaver' 'xfce4-appfinder' 'gnome-settings-daemon' 'blueman' 'network-manager-gnome')
#Перебираем и ставим
for m in "${pkg[@]}"
do
   echo "Проверка: $m"
   repo=`echo ${m##*@}`
   packet=`echo ${m%@*}`
   pinstall $packet $repo
done

###А теперь вперед править конфиги
echo "==============================================================="
echo "Продолжаем. Работаем с конфигами."
#Получаем домашннюю директорию
HOMEDIR=`echo ~`
echo "Домашняя директория пользователя: $HOMEDIR"

#получаем постфикс
fpostfix1=$(date  +%Y-%m-%d-%H-%M-%S)
fpostfix=".backup-$fpostfix1"

#xxkb
XXKBRC_CONF="$HOMEDIR/.xxkbrc"
echo "Работаем с xxkbrc"
if [ ! -e "$XXKBRC_CONF" ]; then
  echo "Файл конфига xxkb не найден, бекап не будет сделан"
else
  cp "$XXKBRC_CONF" "$XXKBRC_CONF$fpostfix"
  echo "Бекапы конфигов xxkb:"
  echo "$XXKBRC_CONF$fpostfix"
  #Удаляем конфиг xxkb
  rm -rf "$XXKBRC_CONF"
fi
#Генерируем конфиг xxkb
cat >$XXKBRC_CONF <<EOF
XXkb.image.path: /usr/share/xxkb/
XXkb.mainwindow.type: tray
XXkb.group.base: 1
XXkb.group.alt: 2
XXkb.mainwindow.enable: yes
XXkb.mainwindow.image.1: en15.xpm
XXkb.mainwindow.image.2: ru15.xpm
XXkb.mainwindow.image.3:
XXkb.mainwindow.image.4:
XXkb.mainwindow.appicon: yes
XXkb.mainwindow.geometry: 15x15+0+0
XXkb.mainwindow.in_tray: GNOME2
XXkb.button.enable: no
XXkb.app_list.wm_class_name.start_alt: skype
XXkb.controls.add_when_start: yes
XXkb.controls.add_when_create: yes
XXkb.controls.add_when_change: no
XXkb.controls.focusout: no
XXkb.mainwindow.xpm.1: en15.xpm
XXkb.mainwindow.xpm.2: ru15.xpm
XXkb.mainwindow.label.enable: no
EOF

#conky
CONKY_DIR="$HOMEDIR/.conky"
if [ ! -d "$CONKY_DIR" ]; then
  echo "Директории conky не обнаружено. Попытка создания."
  mkdir "$CONKY_DIR"
fi
CONKY_CONF="$CONKY_DIR/.conkyrc"
echo "Работаем с conky"
if [ ! -e "$CONKY_CONF" ]; then
  echo "Файл конфига conky не найден, бекап не будет сделан"
else
  cp "$CONKY_CONF" "$CONKY_CONF$fpostfix"
  echo "Бекапы конфигов conky:"
  echo "$CONKY_CONF$fpostfix"
  #Удаляем конфиг conky
  rm -rf "$CONKY_CONF"
fi
#Генерируем конфиг conky
cat >$CONKY_CONF <<EOF
# Based by Standard antiX .conkyrc file
#
# Note: delete the line above to disable automatic scaling with DPI
# on the live system.

# set to yes if you want Conky to be forked in the background
background yes

short_units yes

cpu_avg_samples 1
net_avg_samples 1

out_to_console no

 font 8x12

use_xft yes
xftfont DejaVu Sans:bold:size=9

# Create own window instead of using desktop (required in nautilus, pcmanfm and rox desktops)
own_window yes
own_window_transparent yes
own_window_hints undecorated,sticky,skip_taskbar

# Text alpha when using Xft
xftalpha 1.0

#on_bottom no

# mail spool
mail_spool \$MAIL

# Update interval in seconds
update_interval 1

# Use double buffering (reduces flicker, may not work for everyone)
double_buffer yes

# Minimum size of text area
minimum_size 260 768
maximum_width 260

# Draw shades?
draw_shades no

# Draw outlines?
draw_outline no

# Draw borders around text
draw_borders no

# Stippled borders?
stippled_borders 0

# border margins
#border_margin 10

# border width
border_width 2

# Default colors and also border colors
default_color white
default_shade_color white
default_outline_color white

color2 ffffff
color3 ffffff
color4 yellow
color8 77ccff
color9 5599cc

# Text alignment, other possible values are commented
# alignment top_left
alignment top_right
#alignment bottom_left
#alignment bottom_right

# Gap between borders of screen and text

gap_x 10
gap_y 20

# Add spaces to keep things from moving about?  This only affects certain objects.
use_spacer right

# Subtract file system buffers from used memory?
no_buffers yes

# if_up_strictness link:  up | link | address
if_up_strictness address

# set to yes if you want all text to be in uppercase
uppercase no

TEXT
#\${color3}\${alignc}Linux
\${color}   
\${color8}\$alignc\${font DejaVu Sans:size=12}\${time %I:%M}   \$font
\${color}\${alignc}\${time %a %d %b}
\${color}\${alignc}Uptime: \$uptime
\${color}\${alignc}\${exec disp=\${DISPLAY#:}; disp=\${disp%.[0-9]}; cat \\$HOME/.desktop-session/desktop-code.\$disp 2>/dev/null}
\${color}res:\${alignr}\${color3}\${execi 60 xdpyinfo | sed -n -r "s/^\s*dimensions:.*\s([0-9]+x[0-9]+).*/\1/p"}
\${color}dpi:\${alignr}\${color3}\${execi 60 sed -nr "s/^\s*Xft.dpi:\s*([0-9]+(x[0-9]+)?).*/\1/p" \$HOME/.Xresources | grep "[0-9]" || echo 96}
\${color}Automount: \${alignr}\${color3}\${execi 60 grep -q "^automount=TRUE" \\$HOME/.desktop-session/automount.conf 2>/dev/null && echo "enabled" || echo "disabled"}
\${color}CPU:\${alignr}\${color3}\${cpu}\${color}%
\${color}Freq:\${color3}\${alignr}\${freq}
\${color}\$alignr\${cpugraph cpu0 30,170 5599cc 5599cc}
\${color}Disk:\${alignr}\${color3}\${diskio}
\${color}\${alignr}\${diskiograph 30,170 5599cc 5599cc}\${if_up eth0}
\${color}eth0 up: \$alignr\${color3} \${upspeed eth0}
\${color}\$alignr\${upspeedgraph   eth0 30,170 5599cc 5599cc}
\${color}eth0 down: \$alignr\${color3} \${downspeed eth0}
\${color2}\$alignr\${downspeedgraph eth0 30,170  5599cc 5599cc}\${endif}\${if_up eth1}
\${color}eth1 up: \$alignr\${color3} \${upspeed eth1}
\${color}\$alignr\${upspeedgraph   eth1 30,170 5599cc 5599cc}
\${color}eth1 down: \$alignr\${color3} \${downspeed eth1}
\${color2}\$alignr\${downspeedgraph eth1 30,170  5599cc 5599cc}\${endif}\${if_up wlan0}
\${color}wlan0 up: \$alignr\${color3} \${upspeed wlan0}
\${color2}\$alignr\${upspeedgraph   wlan0 30,170 5599cc 5599cc}
\${color}wlan0 down: \$alignr\${color3} \${downspeed wlan0}
\${color2}\$alignr\${downspeedgraph wlan0 30,170 5599cc 5599cc}\${endif}\${if_up wlan1}
\${color}wlan1 up: \$alignr\${color3} \${upspeed wlan1}
\${color2}\$alignr\${upspeedgraph   wlan1 30,170 5599cc 5599cc}
\${color}wlan1 down: \$alignr\${color3} \${downspeed wlan1}
\${color2}\$alignr\${downspeedgraph wlan1 30,170 5599cc 5599cc}\${endif}
\${color}\${alignr}\${color8}Used / Total
\${color}RAM:\${alignr}\$mem \${color3} /\${color} \$memmax
\${color}Swap:\${alignr}\$swap \${color3} /\${color} \$swapmax
\${color}/ Disk:\${alignr}\${fs_used /} \${color3} /\${color} \${fs_size /}
\${color3}\${alignc}\${execi 1000 persist-enabled}
\${execi 1000 acpi 2>/dev/null | grep -q . && echo "Batt: "}\${execi 10 acpi -b 2>/dev/null | cut -d" " -f3,4 | sed 's/,\$//'}

\${color darkslateblue}Name\$alignr PID \$alignr   CPU% \$alignr   MEM%
\${color springgreen}\${top name 1}\$color\$alignr\${top pid 1}\${top cpu 1} \${top mem 1}
\${color springgreen}\${top name 2}\$color\$alignr\${top pid 2}\${top cpu 2} \${top mem 2}
\${color springgreen}\${top name 3}\$color\$alignr\${top pid 3}\${top cpu 3} \${top mem 3}
\${color springgreen}\${top name 4}\$color\$alignr\${top pid 4}\${top cpu 4} \${top mem 4}
\${color springgreen}\${top name 5}\$color\$alignr\${top pid 5}\${top cpu 5} \${top mem 5}
\${color springgreen}\${top name 6}\$color\$alignr\${top pid 6}\${top cpu 6} \${top mem 6}
\${color springgreen}\${top name 7}\$color\$alignr\${top pid 7}\${top cpu 7} \${top mem 7}
\${color springgreen}\${top name 8}\$color\$alignr\${top pid 8}\${top cpu 8} \${top mem 8}
\${color springgreen}\${top name 8}\$color\$alignr\${top pid 9}\${top cpu 9} \${top mem 9}
\${color springgreen}\${top name 8}\$color\$alignr\${top pid 10}\${top cpu 10} \${top mem 10}
#top_mem mem_res 1 -- in Mb
#top_mem mem 1 - in %%

#\${color darkslateblue}Process\$alignr PID \$alignr   MEM (Mb) \$alignr   CPU%
\${color}Process\$alignr PID \$alignr   MEM% \$alignr   CPU%
\${top_mem name 1}\$alignr\${top_mem pid 1}  \$alignr\${top_mem mem_res 1}      \$alignr\${top_mem cpu 1}
\${top_mem name 2}\$alignr\${top_mem pid 2}  \$alignr\${top_mem mem_res 2}      \$alignr\${top_mem cpu 2}
\${top_mem name 3}\$alignr\${top_mem pid 3}  \$alignr\${top_mem mem_res 3}      \$alignr\${top_mem cpu 3}
\${top_mem name 4}\$alignr\${top_mem pid 4}  \$alignr\${top_mem mem_res 4}      \$alignr\${top_mem cpu 4}
\${top_mem name 5}\$alignr\${top_mem pid 5}  \$alignr\${top_mem mem_res 5}      \$alignr\${top_mem cpu 5}
\${top_mem name 6}\$alignr\${top_mem pid 6}  \$alignr\${top_mem mem_res 6}      \$alignr\${top_mem cpu 6}
\${top_mem name 7}\$alignr\${top_mem pid 7}  \$alignr\${top_mem mem_res 7}      \$alignr\${top_mem cpu 7}
\${top_mem name 8}\$alignr\${top_mem pid 8}  \$alignr\${top_mem mem_res 8}      \$alignr\${top_mem cpu 8}
\${top_mem name 9}\$alignr\${top_mem pid 9}  \$alignr\${top_mem mem_res 9}      \$alignr\${top_mem cpu 9}
\${top_mem name 10}\$alignr\${top_mem pid 10} \$alignr\${top_mem mem_res 10}      \$alignr\${top_mem cpu 10}
EOF


#pcmanfm
PCMANFM_CONF="$HOMEDIR/.config/pcmanfm/default/desktop-items-0.conf"
PCMANFM_CONF_1="$HOMEDIR/.config/pcmanfm/default/pcmanfm.conf"
if [ ! -e "$PCMANFM_CONF" ]; then
  echo "Файл конфига pcmanfm(0) не найден, бекап не будет сделан"
else
  cp "$PCMANFM_CONF" "$PCMANFM_CONF$fpostfix"
  #Удаляем конфиг pcmanfm
  rm -rf "$PCMANFM_CONF"
fi
if [ ! -e "$PCMANFM_CONF_1" ]; then
  echo "Файл конфига pcmanfm(0) не найден, бекап не будет сделан"
else
  cp "$PCMANFM_CONF_1" "$PCMANFM_CONF_1$fpostfix"
  #Удаляем конфиг pcmanfm
  rm -rf "$PCMANFM_CONF_1"
fi
  echo "Бекапы конфигов pcmamfm:"
  echo "$PCMANFM_CONF$fpostfix"
  echo "$PCMANFM_CONF_1$fpostfix"
#Генерируем конфиг pcmanfm
cat >$PCMANFM_CONF <<EOF
[*]
wallpaper_mode=stretch
wallpaper_common=1
wallpaper=$HOMEDIR/Aquarius.svg
desktop_bg=#000000
desktop_fg=#ffffff
desktop_shadow=#000000
desktop_font=Sans 12
show_wm_menu=0
sort=mtime;ascending;
show_documents=0
show_trash=1
show_mounts=0

[trash:///]
x=2
y=32
EOF
cat >$PCMANFM_CONF_1 <<EOF
[config]
bm_open_method=0

[volume]
mount_on_startup=1
mount_removable=1
autorun=1

[ui]
always_show_tabs=0
max_tab_chars=32
win_width=640
win_height=480
maximized=1
splitter_pos=175
media_in_new_tab=0
desktop_folder_new_win=0
change_tab_on_drop=1
close_on_unmount=1
focus_previous=0
side_pane_mode=places
view_mode=icon
show_hidden=1
sort=name;ascending;
toolbar=newtab;navigation;home;
show_statusbar=1
pathbar_mode_buttons=0
EOF

#icewm
ICEWM_CONF_DIR="$HOMEDIR/.icewm"
ICEWM_CONF_FILE=('keys' 'menu' 'preferences' 'programs' 'startup' 'theme' 'toolbar' 'winoptions')

#Проверяем наличие директории 
if [ ! -d $ICEWM_CONF_DIR ]; then
  mkdir $ICEWM_CONF_DIR
fi

#Перебираем и бекапим
for m in "${ICEWM_CONF_FILE[@]}"
do
   echo "Проверка: $m"
   TSTFILE=$ICEWM_CONF_DIR/$m
   if [ ! -e "$TSTFILE" ]; then
      echo "Файл конфига icewm $m не найден, бекап не будет сделан"
   else
      cp "$TSTFILE" "$TSTFILE$fpostfix"
      #Удаляем конфиг icewm
      rm -rf "$TSTFILE"
      echo "Сделан бекап: $TSTFILE$fpostfix"
   fi
done

#Записываем новые файлы
cat >$ICEWM_CONF_DIR/keys <<EOF
key "Alt+Ctrl+t"			x-terminal-emulator
key "Ctrl+Alt+l"        xscreensaver-command -lock
key "Ctrl+Shift+n"        gedit
key "Ctrl+Space"    xfce4-appfinder -c
EOF

cat >$ICEWM_CONF_DIR/menu <<EOF
prog Terminal xterm x-terminal-emulator -ls
prog pinta pinta pinta
prog Calculator /usr/share/icons/Adwaita/22x22/apps/accessories-calculator.png xcalc
separator
menufile Toolbar folder toolbar
separator
menuprog "Desktop Apps" folder /usr/bin/icewm-menu-fdo
EOF


cat >$ICEWM_CONF_DIR/preferences <<EOF
#  Hide title bar when maximized
HideTitleBarWhenMaximized=1 # 0/1

#  Task bar at top of the screen
TaskBarAtTop=1 # 0/1

#  Show APM/ACPI/Battery/Power status monitor on task bar
TaskBarShowAPMStatus=1 # 0/1

#  Enable TaskBarShowAPMStatus if a battery is present
TaskBarShowAPMAuto=1 # 0/1

#  Show APM status on task bar in time-format
TaskBarShowAPMTime=1 # 0/1

#  Show APM status in graph mode
TaskBarShowAPMGraph=1 # 0/1

#  Show workspace switching buttons on task bar
TaskBarShowWorkspaces=0 # 0/1

#  Show 'show desktop' button on taskbar
TaskBarShowShowDesktopButton=0 # 0/1

#  Show Ellipsis in taskbar items
ShowEllipsis=1 # 0/1

#  Show windows from all workspaces on task bar
TaskBarShowAllWindows=1 # 0/1

#  Show 'window list' menu on task bar
TaskBarShowWindowListMenu=0 # 0/1

#  Show CPU status on task bar (Linux & Solaris)
TaskBarShowCPUStatus=1 # 0/1

#  Show RAM usage in CPU status tool tip
CPUStatusShowRamUsage=1 # 0/1

#  Show swap usage in CPU status tool tip
CPUStatusShowSwapUsage=1 # 0/1

#  Show ACPI temperature in CPU status tool tip
CPUStatusShowAcpiTemp=1 # 0/1

#  Show a button to collapse the taskbar
TaskBarShowCollapseButton=0 # 0/1

#  Show a mini desktop preview on each workspace button
PagerShowPreview=1 # 0/1

#  Show programs submenu
ShowProgramsMenu=0 # 0/1

#  Show focus mode submenu
ShowFocusModeMenu=0 # 0/1

#  Show the window menu item
ShowWindowList=0 # 0/1

#  Command to lock display/screensaver
LockCommand="xscreensaver-command -lock"

#  Command to run on clock
# ClockCommand="xclock -name icewm -title Clock"
ClockCommand="orage"

#  Menu icon size
MenuIconSize=22 # [8-128]

#  
#WorkspaceNames=" 1 ", " 2 ", " 3 ", " 4 "

EOF

touch $ICEWM_CONF_DIR/programs

cat >$ICEWM_CONF_DIR/startup <<EOF
#!/bin/bash

#Корретировка раскладки
setxkbmap -layout us,ru -variant -option grp:alt_shift_toggle,grp_led:scroll,terminate:ctrl_alt_bksp &

#screensaver daemon
xscreensaver -no-splash &

#Демон настроек GNOME (стиль GTK+ приложений)
gnome-settings-daemon &

#Рабочий стол
pcmanfm --desktop &

#Индикатор клавиатуры
xxkb &

#Системный монитор
conky --config=/home/alex/.conky/.conkyrc &

#guake 
guake &

#network manager
nm-applet &

#blueman
blueman-applet &

#Volume
volumeicon &

#Лаунчер
#synapse & 

#apache2
sudo /etc/init.d/apache2 start 

#yandex-disk
yandex-disk start

#mintupdate &
sudo mintupdate-launcher &
EOF
chmod +x $ICEWM_CONF_DIR/startup

cat >$ICEWM_CONF_DIR/theme <<EOF
Theme="IceGnome2/default.theme"
EOF

cat >$ICEWM_CONF_DIR/toolbar <<EOF
menu Browsers palemoon
{
prog Pelemoon palemoon palemoon
prog Firefox /usr/share/icons/HighContrast/16x16/apps/firefox.png firefox
prog Chromium chromium-browser chromium-browser
prog Tor /usr/share/pixmaps/tor-browser-en.png /usr/bin/tor-browser-en.sh
prog Vivaldi /usr/share/icons/hicolor/16x16/apps/vivaldi.png /usr/bin/vivaldi-stable
prog Opera opera opera
prog Chrome /usr/share/icons/hicolor/16x16/apps/google-chrome.png /usr/bin/google-chrome-stable
}

menu Messagers /usr/share/icons/hicolor/16x16/apps/skypeforlinux.png
{
prog Skype skypeforlinux skypeforlinux 
prog Viber /opt/viber/icons/16x16.png /opt/viber/Viber
prog Telegram /opt/telegram/telegram.svg /opt/telegram/telegram
}

prog Liferea /usr/share/app-install/icons/active-news.svgz liferea
prog pcmanfm /usr/share/app-install/icons/cs-tiling.svg pcmanfm
prog deadbeef /usr/share/icons/hicolor/16x16/apps/deadbeef.png deadbeef

menu Texteditors leafpad
{
prog gedit /usr/share/icons/Mint-Y/apps/16/gedit.png gedit
prog leafpad leafpad leafpad
prog geany geany geany
prog juffed juffed juffed
}

menu office /opt/onlyoffice/desktopeditors/asc-de-24.png
{
prog writer /usr/share/icons/Mint-Y/apps/22/kingsoft-writer.png wpp
prog et /usr/share/icons/Mint-Y/apps/22/kingsoft-spreadsheets.png et
prog wpp /usr/share/icons/Mint-Y/apps/22/kingsoft-presentation.png wpp
prog onlyoffice /opt/onlyoffice/desktopeditors/asc-de-24.png desktopeditors
prog calc /usr/share/icons/hicolor/16x16/apps/libreoffice-calc.png libreoffice --calc
prog writer /usr/share/icons/hicolor/16x16/apps/libreoffice-writer.png libreoffice --writer
prog draw /usr/share/icons/hicolor/16x16/apps/libreoffice-draw.png libreoffice --draw
prog impress /usr/share/icons/hicolor/16x16/apps/libreoffice-impress.png libreoffice --impress
}
EOF

cat >$ICEWM_CONF_DIR/winoptions <<EOF
xterm.icon: xterm
rxvt.icon: xterm
urxvtc.icon: urxvt
urxvt.icon: urxvt
nxterm.icon: xterm
fte.icon: fte
emacs.Emacs.icon: emacs
AWTapp.icon: java
# workaround for XV window repositioning problems
xv.nonICCCMconfigureRequest: 1
xeyes.ignoreWinList: 0
xeyes.ignoreTaskBar: 1
xeyes.allWorkspaces: 1
xeyes.dTitleBar: 0
xeyes.dBorder: 0
xeyes.dSysMenu: 0
xeyes.dResize: 0
xeyes.dClose: 0
xeyes.dMinimize: 0
xeyes.dMaximize: 0
xeyes.ignoreNoFocusHint: 1

XClock.ignoreNoFocusHint: 1
Vim.icon: vim

applix.ignoreNoFocusHint: 1
XDdts.noFocusOnAppRaise: 1
Wingz.noFocusOnAppRaise: 1
WingzPro.noFocusOnAppRaise: 1

gkrellm.Gkrellm.allWorkspaces: 1
gkrellm.Gkrellm.ignoreTaskBar: 1
gkrellm.Gkrellm.layer: Below
#gkrellm.Gkrellm.doNotCover: 1

MainWindow.licq.allWorkspaces: 1
MainWindow.licq.ignoreQuickSwitch: 1
MainWindow.licq.ignoreWinList: 1
MainWindow.licq.layer: Below
EOF

#readme на рабочий стол
#
README="$HOMEDIR/Рабочий стол/readme_icewm.txt"
echo "Добавляем README"
if [ -e "$README" ]; then
  cp "$README" "$README$fpostfix"
  echo "Бекапы readme:"
  echo "$README$fpostfix"
  #Удаляем readme
  rm -rf "$README"
else 
  touch "$README"
fi
echo "==>Добавлен $README, советую почитать!<=="
#Генерируем readme
printf %s '\
Ваше рабочее окружение icewm было настроено автоматически.
Если у вас не было установлено, то доставлены следующие пакеты:
 icewm *
 icewm-common 
 icewm-themes
 guake
 orage
 volumeicon-alsa
 xxkb *
 pcmanfm *
 conky *
 xscreensaver
 xfce4-appfinder
 gnome-settings-daemon
 blueman
 network-manager-gnome
Для части пакетов (отмечены *) были перезаписаны конфиги. Если у вас были эти пакеты ранее, то конфиги сохранены в бекапах.
Примечание: скрипт разработан и тестировался только на Linux Mint. Соответственно, не гарантируется его работоспособность на других системах. 
Также предполгается, что в вашей системе уже установлено:
 palemoon
 firefox
 chromium-browser
 tor
 vivaldi
 opera
 chrome
 skypeforlinux
 viber
 telegram
 liferea
 deadbeef
 gedit
 leafpad
 geany
 juffed
 wpsoffice
 libreoffice
 onlyoffice
Ссылки на эти пакеты использованы в меню панели. Часть из них надо скачивать с сайтов производителей.
Особенность IceWM - по Win+Пробел запускается встроенный лаунчер.
Я больше люблю xfce4-appfinder - поэтому по Ctrl+Пробел запускается именно он.

Приятной работы!

Скрипт подготовил Башкиров Александр (http://www.alib.spb.ru)
'>>"$README"

#изображение на рабочий стол
IMG="$HOMEDIR/Aquarius.svg"
echo "Добавляем обои"
if [ -e "$IMG" ]; then
  cp "$IMG" "$IMG$fpostfix"
  echo "Бекап обоев:"
  echo "$IMG$fpostfix"
  #Удаляем 
  rm -rf "$IMG"
else 
  touch "$IMG"
fi
echo "Добавлены обои: $IMG"
#Генерируем IMG
cat >"$IMG" <<EOF
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Created with Inkscape (http://www.inkscape.org/) -->
<svg
   xmlns:dc="http://purl.org/dc/elements/1.1/"
   xmlns:cc="http://web.resource.org/cc/"
   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
   xmlns:svg="http://www.w3.org/2000/svg"
   xmlns="http://www.w3.org/2000/svg"
   xmlns:xlink="http://www.w3.org/1999/xlink"
   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
   width="1600"
   height="1200"
   id="svg2"
   sodipodi:version="0.32"
   inkscape:version="0.44"
   version="1.0"
   sodipodi:docbase="/home/michael"
   sodipodi:docname="Aquarius.svg"
   inkscape:export-filename="/home/michael/Aquarius.png"
   inkscape:export-xdpi="90"
   inkscape:export-ydpi="90">
  <defs
     id="defs4">
    <linearGradient
       id="linearGradient3685">
      <stop
         style="stop-color:#1f70de;stop-opacity:0.2371134;"
         offset="0"
         id="stop3687" />
      <stop
         style="stop-color:#e0f5ff;stop-opacity:1;"
         offset="1"
         id="stop3689" />
    </linearGradient>
    <linearGradient
       id="linearGradient3671">
      <stop
         id="stop3673"
         offset="0"
         style="stop-color:#00426e;stop-opacity:0.26666668;" />
      <stop
         id="stop3675"
         offset="1"
         style="stop-color:#09bdff;stop-opacity:1;" />
    </linearGradient>
    <linearGradient
       id="linearGradient2760">
      <stop
         style="stop-color:#00255f;stop-opacity:1;"
         offset="0"
         id="stop2762" />
      <stop
         style="stop-color:#0098e2;stop-opacity:1;"
         offset="1"
         id="stop2764" />
    </linearGradient>
    <linearGradient
       inkscape:collect="always"
       xlink:href="#linearGradient2760"
       id="linearGradient2766"
       x1="745.21429"
       y1="1200.5"
       x2="751.92859"
       y2="-371.92856"
       gradientUnits="userSpaceOnUse"
       gradientTransform="translate(-0.522187,0.507672)" />
    <linearGradient
       inkscape:collect="always"
       xlink:href="#linearGradient3671"
       id="linearGradient9934"
       x1="790.38989"
       y1="910.02576"
       x2="604.68372"
       y2="1688.5466"
       gradientUnits="userSpaceOnUse"
       gradientTransform="translate(86.53287,117.0403)" />
    <radialGradient
       inkscape:collect="always"
       xlink:href="#linearGradient3671"
       id="radialGradient10847"
       cx="773.96466"
       cy="770.32916"
       fx="773.96466"
       fy="770.32916"
       r="1029.7233"
       gradientTransform="matrix(1.097892,0,0,0.55187,-177.0551,346.5904)"
       gradientUnits="userSpaceOnUse" />
    <radialGradient
       inkscape:collect="always"
       xlink:href="#linearGradient3671"
       id="radialGradient10849"
       cx="838.62439"
       cy="474.64413"
       fx="838.62439"
       fy="474.64413"
       r="517.72699"
       gradientTransform="matrix(1,0,0,1.517896,404.7552,-231.2009)"
       gradientUnits="userSpaceOnUse" />
    <radialGradient
       inkscape:collect="always"
       xlink:href="#linearGradient3685"
       id="radialGradient10851"
       cx="425.27713"
       cy="459.5701"
       fx="425.27713"
       fy="459.5701"
       r="814.9483"
       gradientTransform="matrix(1,0,0,0.717248,-0.522187,127.5948)"
       gradientUnits="userSpaceOnUse" />
    <radialGradient
       inkscape:collect="always"
       xlink:href="#linearGradient3685"
       id="radialGradient11742"
       cx="838.62439"
       cy="474.64413"
       fx="838.62439"
       fy="474.64413"
       r="517.72699"
       gradientTransform="matrix(1,0,0,1.517896,404.7552,-231.2009)"
       gradientUnits="userSpaceOnUse" />
    <radialGradient
       inkscape:collect="always"
       xlink:href="#linearGradient3685"
       id="radialGradient11744"
       cx="425.27713"
       cy="459.5701"
       fx="425.27713"
       fy="459.5701"
       r="814.9483"
       gradientTransform="matrix(1,0,0,0.717248,-0.522187,127.5948)"
       gradientUnits="userSpaceOnUse" />
    <radialGradient
       inkscape:collect="always"
       xlink:href="#linearGradient3685"
       id="radialGradient11746"
       cx="773.96466"
       cy="770.32916"
       fx="773.96466"
       fy="770.32916"
       r="1029.7233"
       gradientTransform="matrix(1.097892,0,0,0.55187,-177.0551,346.5904)"
       gradientUnits="userSpaceOnUse" />
    <linearGradient
       inkscape:collect="always"
       xlink:href="#linearGradient3685"
       id="linearGradient11758"
       x1="-358.73685"
       y1="1096.5723"
       x2="1848.3274"
       y2="1096.5723"
       gradientUnits="userSpaceOnUse"
       gradientTransform="translate(-0.522187,-2.349471)" />
  </defs>
  <sodipodi:namedview
     id="base"
     pagecolor="#ffffff"
     bordercolor="#666666"
     borderopacity="1.0"
     gridtolerance="10000"
     guidetolerance="10"
     objecttolerance="10"
     inkscape:pageopacity="0.0"
     inkscape:pageshadow="2"
     inkscape:zoom="0.53588673"
     inkscape:cx="270.65409"
     inkscape:cy="377.1036"
     inkscape:document-units="px"
     inkscape:current-layer="layer1"
     width="1600px"
     height="1200px"
     showguides="true"
     inkscape:guide-bbox="true"
     inkscape:window-width="1280"
     inkscape:window-height="949"
     inkscape:window-x="0"
     inkscape:window-y="25" />
  <metadata
     id="metadata7">
    <rdf:RDF>
      <cc:Work
         rdf:about="">
        <dc:format>image/svg+xml</dc:format>
        <dc:type
           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
        <dc:title>Aquarius</dc:title>
        <dc:date>Wednesday, November 8, 2006</dc:date>
        <dc:creator>
          <cc:Agent>
            <dc:title>Michael J. Smith</dc:title>
          </cc:Agent>
        </dc:creator>
        <cc:license
           rdf:resource="http://web.resource.org/cc/PublicDomain" />
        <dc:description>An Aqua-like wallpaper, powered by SVGness.</dc:description>
      </cc:Work>
      <cc:License
         rdf:about="http://web.resource.org/cc/PublicDomain">
        <cc:permits
           rdf:resource="http://web.resource.org/cc/Reproduction" />
        <cc:permits
           rdf:resource="http://web.resource.org/cc/Distribution" />
        <cc:permits
           rdf:resource="http://web.resource.org/cc/DerivativeWorks" />
      </cc:License>
    </rdf:RDF>
  </metadata>
  <g
     inkscape:label="Layer 1"
     inkscape:groupmode="layer"
     id="layer1">
    <rect
       style="fill:url(#linearGradient2766);fill-opacity:1;fill-rule:evenodd;stroke:black;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
       id="rect1872"
       width="1600"
       height="1200"
       x="-0.52218753"
       y="0.50767136" />
    <path
       style="opacity:0.50931672;fill:url(#radialGradient10851);fill-opacity:1;fill-rule:evenodd;stroke:url(#radialGradient11744);stroke-width:3.0999999;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
       d="M -388.64335,1040.1908 C 537.07093,477.33363 565.64236,-8.3806497 582.78522,-54.094939 C 599.92807,-99.809223 1354.2137,-234.09494 1222.7852,51.619351 C 1091.3566,337.33363 -382.92907,1037.3336 -388.64335,1040.1908 z "
       id="path2768" />
    <path
       style="opacity:0.53763446;fill:url(#radialGradient10849);fill-opacity:1;fill-rule:evenodd;stroke:url(#radialGradient11742);stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:0.72131144"
       d="M 759.04095,1263.187 C 547.61238,477.47277 1424.7552,-271.09866 1424.7552,-271.09866 C 1424.7552,-271.09866 1581.8981,-471.09866 1744.7552,260.32992 C 1907.6123,991.75849 761.8981,1274.6156 761.8981,1274.6156 L 759.04095,1263.187 z "
       id="path3695" />
    <path
       style="opacity:0.51612902;fill:url(#radialGradient10847);fill-opacity:1;fill-rule:evenodd;stroke:url(#radialGradient11746);stroke-width:1.34907568px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
       d="M -457.14145,705.30003 C 779.32096,1790.6841 1944.5032,1143.4996 1788.388,1188.5732 C 1709.1462,1211.4519 264.83889,150.72425 -5.1931319,206.18184 C -275.22514,261.6394 -451.45657,717.1838 -457.14145,705.30003 z "
       id="path6368"
       sodipodi:nodetypes="cssc" />
    <path
       style="fill:url(#linearGradient9934);fill-opacity:1;fill-rule:evenodd;stroke:url(#linearGradient11758);stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
       d="M 1648.5493,1389.1716 C 407.39293,1065.8243 41.761696,1302.1166 -167.17044,1394.1462 C -376.10257,1486.1758 -480.56864,968.82009 -127.37384,916.58706 C 225.82096,864.35403 1549.0578,458.92619 1772.9137,1063.337 C 1996.7696,1667.7478 1643.5748,1389.1716 1648.5493,1389.1716 z "
       id="path9041" />
  </g>
</svg>
EOF
